PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PVXMLPlayableFileList Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayableFileList:
[legend]
Collaboration diagram for PVXMLPlayableFileList:
[legend]

## Public Member Functions
| PVXMLPlayableFileList ()
virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
virtual PBoolean | Open (PVXMLChannel &chan, const PStringArray &filenames, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
virtual bool | OnStart ()
virtual bool | OnRepeat ()
virtual void | OnStop ()

## Protected Attributes
PStringArray | m_fileNames
PINDEX | m_currentIndex
Protected Attributes inherited from PVXMLPlayableFile
PFilePath | m_filePath
Protected Attributes inherited from PVXMLPlayable
PVXMLChannel * | m_vxmlChannel
PChannel * | m_subChannel
PINDEX | m_repeat
PINDEX | m_delay
PString | m_format
unsigned | m_sampleFrequency
bool | m_autoDelete
bool | m_delayDone
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PVXMLPlayableFileList::PVXMLPlayableFileList | ( |  | ) |

## Member Function Documentation

virtual bool PVXMLPlayableFileList::OnRepeat | ( |  | ) |
| virtual

Reimplemented from PVXMLPlayableFile.

virtual bool PVXMLPlayableFileList::OnStart | ( |  | ) |
| virtual

Reimplemented from PVXMLPlayableFile.

virtual void PVXMLPlayableFileList::OnStop | ( |  | ) |
| virtual

Reimplemented from PVXMLPlayableFile.

virtual PBoolean PVXMLPlayableFileList::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete
| ) |  |
| virtual

Reimplemented from PVXMLPlayableFile.

virtual PBoolean PVXMLPlayableFileList::Open | ( | PVXMLChannel & | chan,
|  | const PStringArray & | filenames,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete
| ) |  |
| virtual

## Member Data Documentation

PINDEX PVXMLPlayableFileList::m_currentIndex
| protected

PStringArray PVXMLPlayableFileList::m_fileNames
| protected

The documentation for this class was generated from the following file:

- vxml.h